# AI Helpers

Configuration of the AI helpers (text generation, image generation, video generation, AI tutor, AI grading). Each provider can be enabled per task type. See also [AI Configuration](/administration-guide/admin-guide/integrations/ai-configuration.md).

Access these settings under **Administration > Configuration settings > AI Helpers**. This category contains **13 settings**, listed below with the title and comment shipped in the platform's settings fixtures (`SettingsCurrentFixtures.php`).

> The variable name in code is shown in monospace. Use it when scripting via the API or when you need to change those settings at a global level by editing [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml).

## Settings

### `ai_providers`

**AI providers connection data**

Configuration data to connect with external AI services.

### `content_analyser`

**Content analyser**

Analyses learning materials to extract insights or improve quality.

*Default: `false`*

### `course_analyser`

**Course analyser**

Analyses all resources in one or many courses and pre-trains the AI model to answer any question on this or these courses (make sure content can be shared with the configured AI services).

*Default: `false`*

### `disclose_ai_assistance`

**Disclose AI assistance**

Show a tag on any content or feedback that has been generated or co-generated by any AI system, evidencing to the user that the content was built with the help of some AI system. Details about which AI system was used in which case are kept inside the database for audit, but are not directly accessible by the final user.

*Default: `true`*

### `enable_ai_helpers`

**Enable the AI helper tool**

Enables all available AI-powered features in the platform.

*Default: `false`*

### `exercise_generator`

**Exercise generator**

Generates personalized tests with AI based on course content.

*Default: `false`*

### `glossary_terms_generator`

**Glossary terms generator**

Allow teachers to ask for AI-generated glossary terms in their course. This will generate 20 terms based on the course title and the general description in the course description tool. If used more than once, it will exclude terms already present in that glossary (make sure content can be shared with the configured AI services).

*Default: `false`*

### `image_generator`

**Image generator**

Generates images based on prompts or content using AI.

*Default: `false`*

### `learning_path_generator`

**Learning paths generator**

Generates personalized learning paths using AI suggestions.

*Default: `false`*

### `open_answers_grader`

**Open answers grader**

Automatically grades open-ended answers using AI.

*Default: `false`*

### `task_grader`

**Assignments grader**

Uses AI to evaluate and grade uploaded assignments.

*Default: `false`*

### `tutor_chatbot`

**Tutor chatbot energized by AI**

Provides students with an AI-powered tutoring assistant.

*Default: `false`*

### `video_generator`

**Video generator**

Generates videos based on prompts or content using AI (this might consume many tokens).

*Default: `false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/administration-guide/admin-guide/platform-settings/ai-helpers-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
